package com.example.demo.expand.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.BorderStyleEnum;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import com.alibaba.excel.enums.poi.VerticalAlignmentEnum;

public class ExcelUserGameRecord implements Cloneable {
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("编号")
    private int id;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("分区")
    private String srvID;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ColumnWidth(14)
    @ExcelProperty("昵称")
    private String nickname;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("性别")
    private String gender;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ColumnWidth(13)
    @ExcelProperty("手机号")
    private String phone;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ColumnWidth(12)
    @ExcelProperty("生日")
    private String birthday;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ColumnWidth(25)
    @ExcelProperty("地区")
    private String area;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("积分")
    private int integral;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("金币")
    private int coin;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("钻石")
    private int diamond;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("Mac")
    private String mac;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ColumnWidth(18)
    @ExcelProperty("离线时间")
    public String offlineTime;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("游戏总时长")
    public int totalGameDuration;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 41)
    @ExcelProperty("游戏总次数")
    public int totalGameCount;

    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ColumnWidth(12)
    @ExcelProperty("日期")
    public String date;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("当天总时长")
    public int dateGameDuration;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("当天总次数")
    public int dateGameCount;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("限时游戏时长")
    public int game1_duration;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("限时游戏次数")
    public int game1_count;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("闯关游戏时长")
    public int game2_duration;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("闯关游戏次数")
    public int game2_count;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("PK游戏时长")
    public int game3_duration;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 42)
    @ExcelProperty("PK游戏次数")
    public int game3_count;

    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 43)
    @ExcelProperty("时间")
    public String time;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 43)
    @ColumnWidth(20)
    @ExcelProperty("游戏类型")
    public String gameType;
    @ContentStyle(
            borderBottom = BorderStyleEnum.MEDIUM,
            borderRight = BorderStyleEnum.MEDIUM,
            verticalAlignment = VerticalAlignmentEnum.TOP,
            fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
            fillForegroundColor = 43)
    @ExcelProperty("游戏时长")
    public int duration;

    @Override
    protected Object clone() throws CloneNotSupportedException {
        return super.clone();
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getSrvID() {
        return srvID;
    }

    public void setSrvID(String srvID) {
        this.srvID = srvID;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public int getIntegral() {
        return integral;
    }

    public void setIntegral(int integral) {
        this.integral = integral;
    }

    public int getCoin() {
        return coin;
    }

    public void setCoin(int coin) {
        this.coin = coin;
    }

    public int getDiamond() {
        return diamond;
    }

    public void setDiamond(int diamond) {
        this.diamond = diamond;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getOfflineTime() {
        return offlineTime;
    }

    public void setOfflineTime(String offlineTime) {
        this.offlineTime = offlineTime;
    }

    public int getTotalGameDuration() {
        return totalGameDuration;
    }

    public void setTotalGameDuration(int totalGameDuration) {
        this.totalGameDuration = totalGameDuration;
    }

    public int getTotalGameCount() {
        return totalGameCount;
    }

    public void setTotalGameCount(int totalGameCount) {
        this.totalGameCount = totalGameCount;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public int getDateGameDuration() {
        return dateGameDuration;
    }

    public void setDateGameDuration(int dateGameDuration) {
        this.dateGameDuration = dateGameDuration;
    }

    public int getDateGameCount() {
        return dateGameCount;
    }

    public void setDateGameCount(int dateGameCount) {
        this.dateGameCount = dateGameCount;
    }

    public int getGame1_duration() {
        return game1_duration;
    }

    public void setGame1_duration(int game1_duration) {
        this.game1_duration = game1_duration;
    }

    public int getGame1_count() {
        return game1_count;
    }

    public void setGame1_count(int game1_count) {
        this.game1_count = game1_count;
    }

    public int getGame2_duration() {
        return game2_duration;
    }

    public void setGame2_duration(int game2_duration) {
        this.game2_duration = game2_duration;
    }

    public int getGame2_count() {
        return game2_count;
    }

    public void setGame2_count(int game2_count) {
        this.game2_count = game2_count;
    }

    public int getGame3_duration() {
        return game3_duration;
    }

    public void setGame3_duration(int game3_duration) {
        this.game3_duration = game3_duration;
    }

    public int getGame3_count() {
        return game3_count;
    }

    public void setGame3_count(int game3_count) {
        this.game3_count = game3_count;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getGameType() {
        return gameType;
    }

    public void setGameType(String gameType) {
        this.gameType = gameType;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }
}
